Subject: Re: Protocol Action: 'CDN Loop Detection' to Proposed Standard (draft-ietf-httpbis-cdn-loop-02.txt)

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 6 Feb 2019 03:22:00 +0200

I think while defining new protocol-header-field for detections, it should
update rfc7231 or 7230.

On Tue, Feb 5, 2019 at 6:56 PM The IESG <[email-masked]> wrote:

> The IESG has approved the following document:
> - 'CDN Loop Detection'
>   (draft-ietf-httpbis-cdn-loop-02.txt) as Proposed Standard
>
> This document is the product of the Hypertext Transfer Protocol Working
> Group.
>
> The IESG contact persons are Adam Roach, Alexey Melnikov and Ben Campbell.
>
> A URL of this Internet Draft is:
> https://datatracker.ietf.org/doc/draft-ietf-httpbis-cdn-loop/
>
>
>
>
> Technical Summary
>
> This simple document defines a new request header field for HTTP:
> CDN-Loop. CDN-Loop addresses an operational need that occurs when an
> HTTP request is intentionally forwarded between CDNs but then is
> accidentally re-routed back into the original CDN causing a non
> terminating loop. The new header field is used to identify the error
> and terminate the loop.
>
> The document was co-authored by employees of three different large CDNs.
>
> Working Group Summary
>
> The group was largely in agreement that this was a sensible solution
> and consensus was quickly reached. About 35 emails were exchanged on
> the document. A majority of the comments dealt with the relationship
> between CDN-Loop and the existing Via header field. Consensus was
> reached that Via was essentially 'burned' at this point and not
> operationally suitable for that purpose.
>
> Document Quality
>
> Participation in the document's review and development was sufficient
> given the tight scope of the document. In addition to the 3
> primary authors, 9 other individuals weighed in with comments and
> reviews. This represented contributors from both clients, servers, and
> intermediaries
>
> The Working Group Last Call requested information on any plans to
> implement. In addition to the author's CDNs one other CDN stepped
> forward at that time with interest. There has been at least one
> pre-release deployment already.
>
> Personnel
>
> Tommy Pauly is the document shepherd; Alexey Melnikov is the
> responsible Area Director.
>
>